curl "https://api2.ecomailapp.cz/tracker/transaction?shop=mujshop.cz&per_page=100&page=1" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction?shop=mujshop.cz&per_page=100&page=1');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"id": 2220,
"order_id": "5301",
"email": "foo@bar.cz",
"shop": "mujshop.cz",
"amount": 2000,
"timestamp": "2023-02-15 09:40:56",
"status": null,
"items": [
{
"code": "product code 1",
"title": "product name 1",
"categories": ["product category 1"],
"price": 400,
"amount": "1"
}
]
}
],
"per_page": 100,
"total": 234
}
Transactions
Get transactions
Retrieve a paginated list of transactions with optional filters.
GET
/
tracker
/
transaction
curl "https://api2.ecomailapp.cz/tracker/transaction?shop=mujshop.cz&per_page=100&page=1" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction?shop=mujshop.cz&per_page=100&page=1');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"id": 2220,
"order_id": "5301",
"email": "foo@bar.cz",
"shop": "mujshop.cz",
"amount": 2000,
"timestamp": "2023-02-15 09:40:56",
"status": null,
"items": [
{
"code": "product code 1",
"title": "product name 1",
"categories": ["product category 1"],
"price": 400,
"amount": "1"
}
]
}
],
"per_page": 100,
"total": 234
}
Timestamps are saved and returned in UTC+0.
string
Filter by exact shop name.
string
Filter by email address.
string
Start date filter in
YYYY-MM-DD format.string
End date filter in
YYYY-MM-DD format.integer
Number of results per page. Maximum
500.integer
Page number.
curl "https://api2.ecomailapp.cz/tracker/transaction?shop=mujshop.cz&per_page=100&page=1" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction?shop=mujshop.cz&per_page=100&page=1');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"id": 2220,
"order_id": "5301",
"email": "foo@bar.cz",
"shop": "mujshop.cz",
"amount": 2000,
"timestamp": "2023-02-15 09:40:56",
"status": null,
"items": [
{
"code": "product code 1",
"title": "product name 1",
"categories": ["product category 1"],
"price": 400,
"amount": "1"
}
]
}
],
"per_page": 100,
"total": 234
}
⌘I